Add-on Updater 21.05.1 #addonrelease


 

Hi all,

Add-on Updater 21.05.1 is now available with localization updates and making the add-on compatible with just released NVDA 2021.1 beta 1. Until further notice, you must install it manually from the following link (scroll down as to why):

https://github.com/josephsl/addonUpdater/releases/download/21.05.1/addonUpdater-21.05.1.nvda-addon

 

IMPORTANT: for now you MUST apply this update manually. If you do apply it manually, you must disable add-on update checks until further notice (NvDA Menu/Preferences/Settings/Add-on Updater, turn off “Automatically check for add-on updates”) as Add-on Updater may offer earlier releases that are not compatible with NvDA 2021.1. I’ll provide an update once Add-on Updater itself notices a new version of itself on its own, or if you have 21.05.1 manually installed, an earlier version of Add-on Updater is no longer offered. The alternative is modifying add-on manifests manually, something I advise many should not do because there are add-ons that will not work even if you do modify add-on manifest to make them “compatible”.

 

Cheers,

Joseph


 

Hi all,

Update: If you are using Add-on Updater 21.05 with NVDA versions earlier than 2021.1 beta 1 or alpha-22877, you can now download Add-on Updater 21.05.1 via Add-on Updater. After that, you can enable update checks.

Specifically, follow the below steps as exactly as shown:

If you are not using NVDA alpha.22877 or 2021.1 beta 1 or later and would like to use one of these:

  1. Check if automatic add-on updates setting is on (NVDA menu/Preferences/Settings/Add-on Updater), and if not, enable it.
  2. Install Add-on Updater 21.05.1 when offered. You MUST install Add-on Updater 21.05.1 BEFORE you can use alpha.22877 or 2021.1 beta 1 or later because without that, you won't receive new add-on updates through this add-on because Add-on Updater will be flagged as incompatible and will not work.
  3. Install whatever NvDA version you would like to use AFTER installing Add-on Updater 21.05.1 and restarting NVDA once.

If you are using NVDA alpha.22877 or 2021.1 beta 1 or later and happen to be using Add-on Updater 21.05: you must download Add-on Updater 21.05.1 manually (see the earlier message for download link).

If you are using Add-on Updater 21.05.1: you can ignore this as you are using latest release.

Expect more messages from add-on authors as add-on updates declaring support for NvDA 2021.1 beta 1 are released (some of them include mine).

Cheers,

Joseph


 

Hi all,

Another huge reminder: betas are meant to gather feedback before software goes live. Things can break, including add-ons not working properly or not even running at all, so please don’t panic. I and other members of the add-ons world can assure you that we are working around the clock to test and release add-ons that are ready for NVDA 2021.1.

P.S. Originally, I thought 2021.1 betas wouldn’t be as stressful as 2019.3 betas, but I was wrong: it will take a while before everyone is on board, especially because changes were made that caused several speech synthesizer add-ons to fail; editing add-on manifests will not work. The add-ons community have informed synth add-on makers about this, and synth driver add-on authors are working hard on preparing their add-ons. Also, due to changes to GUI toolkit NvDA is using, potentially any add-on that comes with a dialog (such as Systray List, StationPlaylist, and others) will not work properly with 2021.1 beta 1; developers of affected add-ons (I included) are working hard to make sure our add-ons are fully ready by the time 2021.1 stable version is released to the world.

I (as an add-on author and NVDA code contributor) am saying all this to reassure you: users are not forgotten. When it comes to add-ons, your pain is my pain, and I and the add-ons community members are doing everything we can to improve your lives and productivity through our add-ons, including making them ready by the time you meet NVDA 2021.1. At this time, on behalf of NVDA add-ons community and mailing list members (I am the head admin of NVDA Add-ons mailing list), I would like to kindly request that you wait for add-on developers to update their add-ons and wait for announcements, and if you don’t see your favorite add-on not working after 2021.1 stable version is released, then please send a love letter to add-on authors.

Thank you.

Cheers,

Joseph

 

From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of Joseph Lee via groups.io
Sent: Wednesday, May 26, 2021 12:02 AM
To: nvda@nvda.groups.io
Subject: Re: [nvda] Add-on Updater 21.05.1 #AddonRelease

 

Hi all,

Update: If you are using Add-on Updater 21.05 with NVDA versions earlier than 2021.1 beta 1 or alpha-22877, you can now download Add-on Updater 21.05.1 via Add-on Updater. After that, you can enable update checks.

Specifically, follow the below steps as exactly as shown:

If you are not using NVDA alpha.22877 or 2021.1 beta 1 or later and would like to use one of these:

  1. Check if automatic add-on updates setting is on (NVDA menu/Preferences/Settings/Add-on Updater), and if not, enable it.
  2. Install Add-on Updater 21.05.1 when offered. You MUST install Add-on Updater 21.05.1 BEFORE you can use alpha.22877 or 2021.1 beta 1 or later because without that, you won't receive new add-on updates through this add-on because Add-on Updater will be flagged as incompatible and will not work.
  3. Install whatever NvDA version you would like to use AFTER installing Add-on Updater 21.05.1 and restarting NVDA once.

If you are using NVDA alpha.22877 or 2021.1 beta 1 or later and happen to be using Add-on Updater 21.05: you must download Add-on Updater 21.05.1 manually (see the earlier message for download link).

If you are using Add-on Updater 21.05.1: you can ignore this as you are using latest release.

Expect more messages from add-on authors as add-on updates declaring support for NvDA 2021.1 beta 1 are released (some of them include mine).

Cheers,

Joseph